Arch Frame.png Arch Frame

Menu location
Arch -> Frame
Workbenches
Arch
Default shortcut
F R
See also
None


Description

The Frame tool is used to build all kinds of frame objects based on a profile and a layout. The profile is extruded along the edges of the layout, which can be any 2D object such as a sketch, or a draft object. It is especially useful to create railings, or frame walls. Frame objects can then easily be turned into wall or structure objects.

Arch Frame example.jpg

In the above image, a line has been turned into an array, and a frame object has been made using the array as layout, and a circle as profile.

How to use

  1. Create a layout object and a profile object, for example with the Draft Workbench or the Sketcher Workbench
  2. Select the layout object first, then, with CTRL pressed, select the profile object
  3. Press the Arch Frame.png Arch Frame button, or press F then R keys

Options

  • The frame object can be placed at a certain distance from the layout object, by setting its Offset property
  • The profile will be copied at the base of each edge of the layout object, then extruded along it. You can control how the profile is placed at the base of each edge with the Align and Rotation properties.

Properties

  • DATABase: The layout this frame is based on.
  • DATAProfile: The profile this frame is based on.
  • DATAAlign: Specifies if the profile must be rotated to have its normal axis aligned with each edge.
  • DATAOffset: An optional distance between the layout object and the frame object.
  • DATARotation: The rotation of the profile around its extrusion axis.

Scripting

The Frame tool can by used in macros and from the python console by using the following function:

makeFrame ( layout,profile ) 
  • Creates a frame object from a base sketch (or any other object containing wires) and a profile object (an extrudable 2D object containing faces or closed wires)
  • Returns the new frame object, or None if the operation failed.

Example:

import Draft, Arch
layout = Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
profile = Draft.makeCircle(.2)
Arch.makeFrame(layout,profile) 
Other languages:
čeština • ‎Deutsch • ‎English • ‎français • ‎italiano • ‎русский • ‎svenska • ‎українська